OPENSSL-S_TIME(1SSL)

NOM
openssl-s_time - Programme d'analyse de performances SSL/TLS

SYNOPSIS
openssl s_time [-help] [-connect host:port] [-www page] [-cert filename] [-key filename] [-reuse] [-new] [-verify depth] [-time seconds] [-ssl3] [-tls1] [-tls1_1] [-tls1_2] [-tls1_3] [-bugs] [-cipher cipherlist] [-ciphersuites val] [-nameopt option] [-cafile file] [-CAfile file] [-no-CAfile] [-CApath dir] [-no-CApath] [-CAstore uri] [-no-CAstore] [-provider name] [-provider-path path] [-provparam [name:]key=value] [-propquery propq]

DESCRIPTION
This command implements a generic SSL/TLS client which connects to a remote host using SSL/TLS. It can request a page from the server and includes the time to transfer the payload data in its timing measurements. It measures the number of connections within a given timeframe, the amount of data transferred (if any), and calculates the average time spent for one connection.

OPTIONS

-help
    Afficher un message d'utilisation.

-connect hôte:port
    This specifies the host and optional port to connect to. If the host string is an IPv6 address, it must be enclosed in "[" and "]".

-www page
    This specifies the page to GET from the server. A value of '/' gets the index.html page. If this parameter is not specified, then this command will only perform the handshake to establish SSL connections but not transfer any payload data.

-cert certname
    Le certificat à utiliser, s'il est requis par le serveur. Par défaut, aucun certificat n'est utilisé. Le fichier est au format PEM.

-key keyfile
    La clef privée à utiliser. En absence d’indication, le fichier de certificats sera utilisé. Le fichier est au format PEM.

-verify profondeur
    La profondeur de vérification à utiliser. Cela indique la taille maximale de la chaîne de certificats du serveur et active la vérification de certificat du serveur. Actuellement l'opération de vérification continue après les erreurs de façon à montrer tous les problèmes liés à la chaîne de certificats. Par conséquent, la connexion n'échouera jamais à cause d'un échec de vérification de certificat du serveur.

-new
    Effectuer la mesure du temps en utilisant un nouvel identifiant de session pour chaque connexion. Si ni -new ni -reuse ne sont indiquées, elles sont toutes deux activées par défaut et exécutées à la suite.

-reuse
    Effectuer la mesure du temps en utilisant le même identifiant de session ; cela permet de tester le fonctionnement de la mise en cache des sessions. Si ni -new ni -reuse ne sont indiquées, elles sont toutes deux activées par défaut et exécutées à la suite.

-bugs
    Plusieurs bogues sont connus dans les implémentations SSL et TLS. L'ajout de cette option permet de contourner certains problèmes.

-cipher listechiffrements
    This allows the TLSv1.2 and below cipher list sent by the client to be modified. This list will be combined with any TLSv1.3 ciphersuites that have been configured. Although the server determines which cipher suite is used it should take the first supported cipher in the list sent by the client. See openssl-ciphers(1) for more information.

-ciphersuites val
    This allows the TLSv1.3 ciphersuites sent by the client to be modified. This list will be combined with any TLSv1.2 and below ciphersuites that have been configured. Although the server determines which cipher suite is used it should take the first supported cipher in the list sent by the client. See openssl-ciphers(1) for more information. The format for this list is a simple colon (":") separated list of TLSv1.3 ciphersuite names.

-time length
    Specifies how long (in seconds) this command should establish connections and optionally transfer payload data from a server. Server and client performance and the link speed determine how many connections it can establish.

-nameopt option
    This specifies how the subject or issuer names are displayed. See openssl-namedisplay-options(1) for details.

-CAfile file, -no-CAfile, -CApath dir, -no-CApath, -CAstore uri, -no-CAstore
    See "Trusted Certificate Options" in openssl-verification-options(1) for details.

-provider nom
-provider-path chemin
-provparam [nom:]clé=valeur]
-propquery propq
    Voir « Options de fournisseur » dans openssl(1), provider(7) et property(7).

-cafile fichier
    This is an obsolete synonym for -CAfile.

-ssl3, -tls1, -tls1_1, -tls1_2, -tls1_3
    See "TLS Version Options" in openssl(1).

NOTES
This command can be used to measure the performance of an SSL connection. To connect to an SSL HTTP server and get the default page the command

 openssl s_time -connect servername:443 -www / -CApath yourdir -CAfile yourfile.pem -cipher commoncipher [-ssl3]

would typically be used (https uses port 443). commoncipher is a cipher to which both client and server can agree, see the openssl-ciphers(1) command for details.

If the handshake fails then there are several possible causes, if it is nothing obvious like no client certificate then the -bugs and -ssl3 options can be tried in case it is a buggy server. In particular you should play with these options before submitting a bug report to an OpenSSL mailing list.

A frequent problem when attempting to get client certificates working is that a web client complains it has no certificates or gives an empty list to choose from. This is normally because the server is not sending the clients certificate authority in its "acceptable CA list" when it requests a certificate. By using openssl-s_client(1) the CA list can be viewed and checked. However, some servers only request client authentication after a specific URL is requested. To obtain the list in this case it is necessary to use the -prexit option of openssl-s_client(1) and send an HTTP request for an appropriate page.

Si un certificat est indiqué sur la ligne de commandes en utilisant l'option -cert, il ne sera pas utilisé à moins que le serveur indiqué n’exige un certificat client. Par conséquent, la simple utilisation d'un certificat client sur la ligne de commandes ne garantit pas que le certificat fonctionne.

BOGUES
Because this program does not have all the options of the openssl-s_client(1) program to turn protocols on and off, you may not be able to measure the performance of all protocols with all servers.

L'option -verify devrait réellement quitter si la vérification du serveur échoue.

HISTORIQUE
The -cafile option was deprecated in OpenSSL 3.0.

VOIR AUSSI
openssl(1), openssl-s_client(1), openssl-s_server(1), openssl-ciphers(1), ossl_store-file(7)

COPYRIGHT
Copyright 2000-2021 Les auteurs du projet OpenSSL. Tous droits réservés.

Sous licence Apache 2.0 (la « Licence »). Vous ne pouvez utiliser ce fichier que conformément à la Licence. Vous trouverez une copie dans le fichier LICENSE de la distribution du source ou à l'adresse <https://www.openssl.org/source/license.html>.

TRADUCTION
La traduction française de cette page de manuel a été créée par stolck, Nicolas François <nicolas.francois@centraliens.net>, Guillaume Quesnel <djikiou@yahoo.fr> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.